import React, { useState, useRef, useEffect, useMemo, useCallback } from "react";
import {
    useRecordContext,
} from 'react-admin';
import { Box, Typography, Card, Stack } from '@mui/material';
import { useTheme } from '@mui/material/styles';

const MyField = ({ source, onClick }) => {
    const record = useRecordContext();
    const theme = useTheme();
    
    return record ? (
        <Box
            onClick={(event) => {
                onClick && onClick(event, record, record[source]);
            }}
        >
            <Typography
                variant="body2"
                sx={{
                    color: theme.palette.primary.main,
                    textDecoration: 'underline',
                    cursor: 'pointer'
                }}
            >
                {record[source]}
            </Typography >
        </Box>
    ) : null;
}

export default MyField;